<form class="{{cssClass}} flexcol" autocomplete="off">

  {{!-- Sheet Header --}}
  <header class="sheet-header flexrow">
    <img class="profile" src="{{document.img}}" title="{{document.name}}" data-edit="img" />

    <div class="header-details flexrow">
      <h1 class="title">
        <textarea name="name" title="{{localize 'GDW.ItemName'}}">{{item.name}}</textarea>
      </h1>

      <div class="item-subtitle">
        <h4 class="item-type">{{capitalize item_type}}</h4>
        <span class="item-status">{{item_status}}</span>
      </div>

      <ul class="summary flexrow">
        <li>
          <span>{{ localize (lookup config.consumableTypes system.consumableType ) }}</span>&nbsp;
        </li>
        <li>
          <input type="text" name="system.source" value="{{system.source}}" title="{{ localize 'Source' }}" />
        </li>
      </ul>
    </div>
  </header>

  {{!-- Item Sheet Navigation --}}
  <nav class="sheet-navigation tabs" data-group="primary">
    <a class="item active" data-tab="description">{{ localize "Description" }}</a>
    <a class="item" data-tab="details">{{ localize "Details" }}</a>
  </nav>

  {{!-- Item Sheet Body --}}
  <section class="sheet-body">

    {{!-- Description Tab --}}
    {{> GDW.item-description }}

    {{!-- Derived Values --}}
    <div class="tab flexrow active" data-group="primary" data-tab="description">
      <fieldset>
        <legend>{{ localize "Derived Values" }}</legend>

        {{!-- Metric Designation --}}
        <div class="form-group" data-name="system.metric_name">
          <label>{{ localize "Metric Designation" }}</label>
          <input name="system.metric_name" type="text" value="{{document.system.metric_name}}"
            title="Canonical name of the ammunition" readonly />
        </div>

        {{!-- Cartridge Length --}}
        <div class="form-group" data-name="system.cartridge_length">
          <label>{{ localize "Cartridge Length (mm)" }}</label>
          <input name="system.cartridge_length" type="number" value="{{precision document.system.cartridge_length 3}}"
            title="Length of the cartridge in millimeters" readonly />
        </div>

        {{!-- Cartridge Mass --}}
        <div class="form-group" data-name="system.cartridge_mass">
          <label>{{ localize "Cartridge Mass (g)" }}</label>
          <input name="system.cartridge_mass" type="number" value="{{precision document.system.cartridge_mass 3}}"
            title="Canonical name of the ammunition" readonly />
        </div>
        <fieldset>
          <legend>{{ localize "Average Muzzle Energy (J)" }}</legend>
          {{#each document.system.avg_muzzle_energy as |energy TL|}}
            {{!-- Average Muzzle Energy --}}
            <div class="form-group" data-name="system.avg_muzzle_energy">
              <label>{{ localize "Tech Level" }} {{ TL }}</label>
              <input name="system.avg_muzzle_energy" type="number" value="{{fixed energy}}"
                title="Energy of the ammunition at the muzzle of an average barrel at TL {{ TL }} in joules" readonly />
            </div>
          {{/each}}
        </fieldset>
      </fieldset>
    </div>

    {{!-- Details Tab --}}
    <div class="tab details" data-group="primary" data-tab="details">
      <fieldset>
        <legend>{{ localize "Ammunition Specs" }}</legend>

        {{!-- Caliber --}}
        <div class="form-group" data-name="system.caliber">
          <label>{{ localize "Caliber" }}</label>
          {{numberInput document.system.caliber name="system.caliber" step=0.01 min=0
          title="Bullet diameter in mm with two decimals"}}
        </div>

        {{!-- Case Length --}}
        <div class="form-group" data-name="system.case_length">
          <label>{{ localize "Case Length" }}</label>
          {{numberInput document.system.case_length name="system.case_length" step=0.1 min=0
           title="Case length in mm with one decimal"}}
        </div>

        {{!-- Case Type --}}
        <div class="form-group" data-name="system.case_type">
          <label>{{ localize "Case Type" }}</label>
          <select name="system.case_type" data-tooltip="Type of casing">
            {{selectOptions AMMUNITION_CASE_TYPES selected=document.system.case_type}}
          </select>
        </div>

        {{!-- Rimmed --}}
        <div class="form-group" data-name="system.rim_type">
          <label>{{ localize "Rim Type" }}</label>
          <select name="system.rim_type" data-tooltip="Rim type of casing">
            {{selectOptions AMMUNITION_RIM_TYPES selected=document.system.rim_type}}
          </select>
        </div>

        {{!-- Electrothermal-Chemical ETC --}}
        <div class="form-group" data-name="system.electrothermal_chemical">
          <label>{{ localize "Electrothermal-Chemical Ammunition" }}</label>
          <input type="checkbox" name="myCheckbox" {{checked system.electrothermal_chemical}}>
        </div>
      </fieldset>
  </section>

  <footer>
    <button type="submit">{{localize "Save"}}</button>
  </footer>
</form>
